API · EN
API · EN

Start

IntroductionQuickstartAuthenticationCore concepts

Guides

Uploading callsGetting resultsWebhooksPagination and search

Details

ErrorsRate limits and billing
API reference
Get category tree with call countsGETCreate a categoryPOSTClear all categories (delete entire taxonomy)DELETEUpdate a categoryPUTDelete a categoryDELETEMove a category to a new parent or display orderPATCH
aftertalk.coPricingContactPolski
API referenceCategories

Move a category to a new parent or display order

PATCH/v1/projects/{projectId}/categories/{id}/move

Authorization

ApiKeyAuth
X-API-Key<token>

Organization API key. Format: X-API-Key: at_live_...

In: header

Path Parameters

projectId*string
Formatuuid
id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

*/*

curl -X PATCH "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/categories/497f6eca-6276-4993-bfeb-53cbbbba6f08/move" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "taxonomyId": "string",  "name": "string",  "description": "string",  "parentId": "string",  "displayOrder": 0,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

Delete a categoryDELETE

Previous Page

List analysis templatesGET

Next Page

newParentId?string
Formatuuid
newDisplayOrder?integer
Formatint32